Get Object Preferences
All Channels
API to retrieve all channel preferences for a given object.
GET
/
v1
/
object
/
{object_type}
/
{id}
/
preference
/
channel_preference
/
All Channels
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/{id}/preference/channel_preference/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/preference/channel_preference/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/preference/channel_preference/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel_preferences": [
{
"channel": "androidpush",
"is_restricted": false
},
{
"channel": "email",
"is_restricted": false
}
]
}{
"code": 404,
"message": "object 'obj_type/obj_id' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
Unique identifier of the object in your system
Query Parameters
to fetch object preferences for a particular tenant
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I
All Channels
